import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface BusOrder {
    /**
    *
    * @type { string }
    */
    orderNo?: string;
    /**
    *
    * @type { string }
    */
    appId?: string;
    /**
    *
    * @type { string }
    */
    userId?: string;
    /**
    *
    * @type { string }
    */
    openId?: string;
    /**
    * 入口APPID
    * @type { string }
    */
    enterAppId?: string;
    /**
    *
    * @type { string }
    */
    enterOpenId?: string;
    /**
    *
    * @type { string }
    */
    mchId?: string;
    /**
    *
    * @type { string }
    */
    subMchId?: string;
    /**
    *
    * @type { string }
    */
    transactionId?: string;
    /**
    *
    * @type { string }
    */
    orderCategory?: string;
    /**
    * 支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币
    * @type { string }
    */
    paymentMethod?: string;
    /**
    * 银行卡类型
    * @type { string }
    */
    bankType?: string;
    /**
    * 订单支付来源：00:微信/01:支付宝/02:H5/03:APP
    * @type { string }
    */
    origin?: string;
    /**
    *
    * @type { string }
    */
    lotOrderId?: string;
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    carPlateNum?: string;
    /**
    *
    * @type { string }
    */
    activityId?: string;
    /**
    *
    * @type { string }
    */
    couponInfoId?: string;
    /**
    * 车场金额额
    * @type { number }
    */
    parkingTotalFee?: number;
    /**
    *
    * @type { number }
    */
    totalFee?: number;
    /**
    * 优惠费用主体
    * @type { string }
    */
    couponSubject?: string;
    /**
    *
    * @type { number }
    */
    couponFee?: number;
    /**
    *
    * @type { number }
    */
    cashFee?: number;
    /**
    *
    * @type { string }
    */
    comeTime?: string;
    /**
    *
    * @type { string }
    */
    carImage?: string;
    /**
    *
    * @type { string }
    */
    outTime?: string;
    /**
    * 分钟
    * @type { number }
    */
    parkingTime?: number;
    /**
    *
    * @type { Date }
    */
    payTime?: Date;
    /**
    *
    * @type { string }
    */
    leaveTime?: string;
    /**
    * 预付费ID
    * @type { string }
    */
    prepayId?: string;
    /**
    *
    * @type { string }
    */
    attach?: string;
    /**
    *
    * @type { string }
    */
    remark?: string;
    /**
    * 是否删除 Y：是，N：否
    * @type { string }
    */
    isDeleted?: string;
    /**
    *
    * @type { string }
    */
    sendType?: string;
    /**
    * 00:已支付,01:未支付,02:支付失败
    * @type { string }
    */
    tradeState?: string;
    /**
    *
    * @type { string }
    */
    refundState?: string;
    /**
    *
    * @type { string }
    */
    sendState?: string;
    /**
    * 分区ID
    * @type { string }
    */
    regionId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusOrderMI {
    static get ORDER_NO(): FieldInfo;
    static get APP_ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get OPEN_ID(): FieldInfo;
    static get ENTER_APP_ID(): FieldInfo;
    static get ENTER_OPEN_ID(): FieldInfo;
    static get MCH_ID(): FieldInfo;
    static get SUB_MCH_ID(): FieldInfo;
    static get TRANSACTION_ID(): FieldInfo;
    static get ORDER_CATEGORY(): FieldInfo;
    static get PAYMENT_METHOD(): FieldInfo;
    static get BANK_TYPE(): FieldInfo;
    static get ORIGIN(): FieldInfo;
    static get LOT_ORDER_ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get ACTIVITY_ID(): FieldInfo;
    static get COUPON_INFO_ID(): FieldInfo;
    static get PARKING_TOTAL_FEE(): FieldInfo;
    static get TOTAL_FEE(): FieldInfo;
    static get COUPON_SUBJECT(): FieldInfo;
    static get COUPON_FEE(): FieldInfo;
    static get CASH_FEE(): FieldInfo;
    static get COME_TIME(): FieldInfo;
    static get CAR_IMAGE(): FieldInfo;
    static get OUT_TIME(): FieldInfo;
    static get PARKING_TIME(): FieldInfo;
    static get PAY_TIME(): FieldInfo;
    static get LEAVE_TIME(): FieldInfo;
    static get PREPAY_ID(): FieldInfo;
    static get ATTACH(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get IS_DELETED(): FieldInfo;
    static get SEND_TYPE(): FieldInfo;
    static get TRADE_STATE(): FieldInfo;
    static get REFUND_STATE(): FieldInfo;
    static get SEND_STATE(): FieldInfo;
    static get REGION_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbRegisterEvent {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    *
    * @type { string }
    */
    outerUserId?: string;
    /**
    *
    * @type { string }
    */
    userAction?: string;
    /**
    *
    * @type { string }
    */
    actionTime?: string;
    /**
    *
    * @type { string }
    */
    outerData?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class WbRegisterEventMI {
    static get ID(): FieldInfo;
    static get OUTER_USER_ID(): FieldInfo;
    static get USER_ACTION(): FieldInfo;
    static get ACTION_TIME(): FieldInfo;
    static get OUTER_DATA(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface BusParkingLot {
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    *
    * @type { string }
    */
    groupId?: string;
    /**
    *
    * @type { string }
    */
    lotCode?: string;
    /**
    *
    * @type { string }
    */
    lotName?: string;
    /**
    *
    * @type { string }
    */
    logoUrl?: string;
    /**
    *
    * @type { number }
    */
    totalSpace?: number;
    /**
    *
    * @type { string }
    */
    funcFlag?: string;
    /**
    *
    * @type { string }
    */
    keyword?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    *
    * @type { string }
    */
    contact?: string;
    /**
    *
    * @type { string }
    */
    contactInfo?: string;
    /**
    *
    * @type { string }
    */
    provId?: string;
    /**
    *
    * @type { string }
    */
    cityId?: string;
    /**
    *
    * @type { string }
    */
    districtId?: string;
    /**
    *
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    *
    * @type { string }
    */
    address?: string;
    /**
    *
    * @type { string }
    */
    useMap?: string;
    /**
    *
    * @type { string }
    */
    longitude?: string;
    /**
    *
    * @type { string }
    */
    latitude?: string;
    /**
    *
    * @type { string }
    */
    useSuperpark?: string;
    /**
    *
    * @type { string }
    */
    useKeytop?: string;
    /**
    *
    * @type { string }
    */
    useSubMer?: string;
    /**
    *
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    *
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    *
    * @type { string }
    */
    newsTemplate?: string;
    /**
    *
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    *
    * @type { string }
    */
    payUrl?: string;
    /**
    *
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    *
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    *
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    *
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    *
    * @type { string }
    */
    closeTip?: string;
    /**
    *
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    *
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export declare class BusParkingLotMI {
    static get LOT_ID(): FieldInfo;
    static get GROUP_ID(): FieldInfo;
    static get LOT_CODE(): FieldInfo;
    static get LOT_NAME(): FieldInfo;
    static get LOGO_URL(): FieldInfo;
    static get TOTAL_SPACE(): FieldInfo;
    static get FUNC_FLAG(): FieldInfo;
    static get KEYWORD(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get TRADE_FEE(): FieldInfo;
    static get CONTACT(): FieldInfo;
    static get CONTACT_INFO(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get LOT_NATURE_CODE(): FieldInfo;
    static get ADDRESS(): FieldInfo;
    static get USE_MAP(): FieldInfo;
    static get LONGITUDE(): FieldInfo;
    static get LATITUDE(): FieldInfo;
    static get USE_SUPERPARK(): FieldInfo;
    static get USE_KEYTOP(): FieldInfo;
    static get USE_SUB_MER(): FieldInfo;
    static get SUPERPARK_SUB_ACCT(): FieldInfo;
    static get KEYTOP_SUB_ACCT(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get OPERATOR(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get SUPERPARK_SUB_APPID(): FieldInfo;
    static get ENABLE_NEWS(): FieldInfo;
    static get NEWS_TEMPLATE(): FieldInfo;
    static get KEYTOP_SUB_APPID(): FieldInfo;
    static get PAY_URL(): FieldInfo;
    static get PAY_QR_CODE_URL(): FieldInfo;
    static get SHARE_QR_CODE_URL(): FieldInfo;
    static get ENABLE_CALLBACK(): FieldInfo;
    static get PAY_CALLBACK_URL(): FieldInfo;
    static get DISABLE_STC_QUERY(): FieldInfo;
    static get DISABLE_API_QUERY(): FieldInfo;
    static get ENABLE_PAYMENT(): FieldInfo;
    static get ENABLE_REFUND(): FieldInfo;
    static get ENABLE_POST_PAID(): FieldInfo;
    static get ENABLE_COME_MSG_PUSH(): FieldInfo;
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo;
    static get ENABLE_CUSTOM_BTN(): FieldInfo;
    static get ENABLE_LOCK_CAR(): FieldInfo;
    static get LOT_SYNC_CHANNEL(): FieldInfo;
    static get IS_HOT(): FieldInfo;
    static get CLIENT_ID(): FieldInfo;
    static get CLOSE_TIP(): FieldInfo;
    static get ORD_QUERY_BTM_HTML(): FieldInfo;
    static get ORD_SUCCESS_HTML(): FieldInfo;
    static get IS_FAREWELL_WORD(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbAdBlackLot {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    *
    * @type { string }
    */
    position?: string;
    /**
    *
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class WbAdBlackLotMI {
    static get ID(): FieldInfo;
    static get POSITION(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface BusBlackLot {
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 01:广告投放 02: 无感按钮 03：我已离场
    * @type { string }
    */
    code?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class BusBlackLotMI {
    static get LOT_ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbAdDeliveryProv {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    *
    * @type { number }
    */
    configId?: number;
    /**
    *
    * @type { string }
    */
    provId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class WbAdDeliveryProvMI {
    static get ID(): FieldInfo;
    static get CONFIG_ID(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbAdConfig {
    /**
    *
    * @type { string }
    */
    adId?: string;
    /**
    *
    * @type { string }
    */
    position?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    * 子表 WbAdDeliveryProv
    * @type { WbAdDeliveryProv[] }
    */
    wbAdDeliveryProv?: WbAdDeliveryProv[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class WbAdConfigMI {
    static get AD_ID(): FieldInfo;
    static get POSITION(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface PpUser {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 用户昵称
    * @type { string }
    */
    nickName?: string;
    /**
    * 用户头像
    * @type { string }
    */
    avatar?: string;
    /**
    * 联系电话
    * @type { string }
    */
    phone?: string;
    /**
    * 邮箱
    * @type { string }
    */
    email?: string;
    /**
    * 性别
    * @type { string }
    */
    gender?: string;
    /**
    * 普通车牌号
    * @type { string }
    */
    commonLpn?: string;
    /**
    * 绑定车牌号
    * @type { string }
    */
    bindedLpn?: string;
    /**
    * 省份ID
    * @type { string }
    */
    provId?: string;
    /**
    * 城市ID
    * @type { string }
    */
    cityId?: string;
    /**
    * 区县ID
    * @type { string }
    */
    districtId?: string;
    /**
    * 备用字段1
    * @type { string }
    */
    spareField1?: string;
    /**
    * 备用字段2
    * @type { string }
    */
    spareField2?: string;
    /**
    * 备用字段3
    * @type { string }
    */
    spareField3?: string;
    /**
    * 备用字段4
    * @type { string }
    */
    spareField4?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PpUserMI {
    static get ID(): FieldInfo;
    static get NICK_NAME(): FieldInfo;
    static get AVATAR(): FieldInfo;
    static get PHONE(): FieldInfo;
    static get EMAIL(): FieldInfo;
    static get GENDER(): FieldInfo;
    static get COMMON_LPN(): FieldInfo;
    static get BINDED_LPN(): FieldInfo;
    static get PROV_ID(): FieldInfo;
    static get CITY_ID(): FieldInfo;
    static get DISTRICT_ID(): FieldInfo;
    static get SPARE_FIELD_1(): FieldInfo;
    static get SPARE_FIELD_2(): FieldInfo;
    static get SPARE_FIELD_3(): FieldInfo;
    static get SPARE_FIELD_4(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
